package com.elab.core.spring.common;

import java.lang.reflect.Type;

/**
 * SQL的详情信息
 *
 * @author ： liukx
 * @time ： 2020/6/9 - 15:20
 */
public class SqlInfoModel {

    private String tableName;

    private Object args;

    private String sql;

    private Class<?> returnType;

    private Class<?> returnClass;

    private Type mapType;

    private String sqlId;

    private TypeGroupModel paramGroup;

    public Type getMapType() {
        return mapType;
    }

    public void setMapType(Type mapType) {
        this.mapType = mapType;
    }

    public TypeGroupModel getParamGroup() {
        return paramGroup;
    }

    public void setParamGroup(TypeGroupModel paramGroup) {
        this.paramGroup = paramGroup;
    }

    public Class<?> getReturnClass() {
        return returnClass;
    }

    public void setReturnClass(Class<?> returnClass) {
        this.returnClass = returnClass;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Object getArgs() {
        return args;
    }

    public void setArgs(Object args) {
        this.args = args;
    }


    public Class<?> getReturnType() {
        return returnType;
    }

    public void setReturnType(Class<?> returnType) {
        this.returnType = returnType;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }
}
